﻿namespace IdentityAtRest.Utility.Identity.Authorization
{
    public interface IAuthorizationDecision
    {
        string Permission { get; }
        bool IsAuthorized { get; }

        //If a permission is denied, this
        //field may be populated to give the 
        //user some idea why.
        string Explanation { get; }
    }
}