﻿namespace IdentityAtRest.Utility.Identity
{
    public class DefaultAuthorization : IAuthorization
    {
        public DefaultAuthorization(string permission, bool authorized) : this(permission, authorized, "")
        {
        }

        public DefaultAuthorization(string permission, bool authorized, string explanation)
        {
            Permission = permission;
            Authorized = authorized;
            Explanation = explanation;
        }

        public string Permission { get; private set; }
        public bool Authorized { get; private set; }
        public string Explanation { get; private set; }
    }
}