﻿using System.Collections.Generic;
using Hsi.Utility.Identity;

namespace IdentityAtRest.Utility.Identity
{
    public interface IAuthorizationProvider
    {
        IList<IAuthorization> RequestAuthorization(IList<IClaim> claims, params string[] requestedPermissions);
        bool VerifyAll(IList<IClaim> claims, params string[] requiredPermissions);
    }
}